# SDPApplicationMediaDescription Class Reference

`#include <sdp.h>`

Inheritance diagram for SDPApplicationMediaDescription:

[legend]
Collaboration diagram for SDPApplicationMediaDescription:
[legend]

## Public Member Functions

| SDPApplicationMediaDescription (const OpalTransportAddress &address)
virtual PCaselessString | GetSDPTransportType () const
virtual SDPMediaFormat * | CreateSDPMediaFormat (const PString &portString)
virtual PString | GetSDPMediaType () const

## Constructor & Destructor Documentation

SDPApplicationMediaDescription::SDPApplicationMediaDescription | ( | const OpalTransportAddress & | address | ) |

## Member Function Documentation

virtual SDPMediaFormat* SDPApplicationMediaDescription::CreateSDPMediaFormat | ( | const PString & | portString | ) | `[virtual]`

Implements SDPMediaDescription.

virtual PString SDPApplicationMediaDescription::GetSDPMediaType | ( |  | ) | const`[virtual]`

Implements SDPMediaDescription.

virtual PCaselessString SDPApplicationMediaDescription::GetSDPTransportType | ( |  | ) | const`[virtual]`

Implements SDPMediaDescription.

The documentation for this class was generated from the following file:

- sdp.h